import { OnInit, OnDestroy, AfterViewInit, ElementRef } from '@angular/core';
import { ScrollService } from '../../scroll/index';
export declare class FixedBarComponent implements OnInit, OnDestroy, AfterViewInit {
    private scrollService;
    private elementRef;
    offset: number;
    fixed: boolean;
    private offsetTop;
    private sub;
    constructor(scrollService: ScrollService, elementRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
